Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.resolver
Class URLResolver

    java.lang.Object
      fr.jayasoft.ivy.resolver.AbstractResolver
          fr.jayasoft.ivy.resolver.BasicResolver
              fr.jayasoft.ivy.resolver.AbstractResourceResolver
                  fr.jayasoft.ivy.resolver.RepositoryResolver
                      fr.jayasoft.ivy.resolver.URLResolver

All Implemented Interfaces:
  DependencyResolver, HasLatestStrategy, IvyAware

Direct Known Subclasses:
  IBiblioResolver, IvyRepResolver

public class URLResolver
extends RepositoryResolver

This resolver is able to work with any URLs, it handles latest revisions with file and http urls only, and it does not handle publishing

Field Summary

Fields inherited from class fr.jayasoft.ivy.resolver.BasicResolver
`_workspaceName, DATE_FORMAT`

Constructor Summary
`URLResolver()`

Method Summary
`java.lang.String` | `getTypeName()`

Methods inherited from class fr.jayasoft.ivy.resolver.RepositoryResolver
`download, dumpConfig, findAll, findResourceUsingPattern, findResourceUsingPattern, findResourceUsingPattern, findTokenValues, get, getRepository, isAlwaysCheckExactRevision, publish, setAlwaysCheckExactRevision, setIvy, setName, setRepository`

Methods inherited from class fr.jayasoft.ivy.resolver.AbstractResourceResolver
`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, isM2compatible, logArtifactNotFound, logIvyNotFound, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class fr.jayasoft.ivy.resolver.BasicResolver
`acceptLatest, clearArtifactAttempts, clearIvyAttempts, exists, findFirstArtifactRef, getDependency, getPublicationDate, getWorkspaceName, isCheckconsistency, isCheckmodified, isEnvDependent, listModules, listOrganisations, listRevisions, logArtifactAttempt, logIvyAttempt, reportFailure, reportFailure, searchedRmr, setCheckconsistency, setCheckmodified, setEnvDependent, setWorkspaceName, toString`

Methods inherited from class fr.jayasoft.ivy.resolver.AbstractResolver
`doValidate, findModuleInCache, fromSystem, fromSystem, getIvy, getLatest, getLatestStrategy, getName, getNamespace, getSystemNode, isValidate, setLatest, setLatestStrategy, setNamespace, setValidate, toSystem, toSystem, toSystem, toSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLResolver

    public URLResolver()

Method Detail

### getTypeName

    public java.lang.String getTypeName()

  Overrides:
    `getTypeName` in class `RepositoryResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD